Subject: Re: [PATCH v6 02/39] api-lockfile: revise and expand the documentation

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Sep 2014 13:40:35 -0700

Michael Haggerty <[email-masked]> writes:

> +If you need to close the file descriptor you obtained from a
> +`hold_lock_file_*` function yourself, do so by calling
> +`close_lock_file`. You should never call `close(2)` yourself!

This is sometimes untenable, isn't it?  A caller may want to
freopen(3) a stream on the fd to write into it and then fclose(3);
which would not know to call close_lock_file() but calls close(2).